Peplink Portal Docs
Starlink Devices

Remove a Starlink Device

Remove the specified Starlink device.

Required Capabilities

Starlink Manager

Request

DELETE/starlink/devices/{refId}

Path parameters

refIdstringrequired

Reference ID of the Starlink device to remove.

Response

200 The device is removed successfully

No content to return in response body. Check status code 200 for successful result.

400 The device cannot be removed

The device is still associated with a service line.

Check the response body for the error details.

Examples

Request

curl -X DELETE 'https://portal.peplink.com/api/e/v1/cp/starlink/devices/{refId}' \  -H 'Authorization: Bearer {token}'

On this page